Skip to content
Documentation sections

Retrieve aggregated congestion data for multiple ports

POST /congestion/batch on the Congestion API. Base URL: https://api.sinay.ai/congestion/api/v1.

Returns congestion, time-in-port statistics, and vessel counts for a list of ports.

Maximum 10 ports per request.

Request body

application/json, required.

FieldTypeRequiredDescription
portCodesarray of stringYesList of port codes (unlocode), maximum 10.

Responses

Body: application/json, object.

FieldTypeRequiredDescription
resultsarray of objectNo—
results[].portCodestringYesThe port code (unlocode).
results[].rateOccupationobjectYes—
results[].rateOccupation.commercialVesselsobject, nullableNo—
results[].rateOccupation.commercialVessels.rateOccupationPercentagenumber (double), nullableNo—
results[].rateOccupation.commercialVessels.rateOccupationGapWithMeannumber (double), nullableNo—
results[].rateOccupation.cargoobject, nullableNo—
results[].rateOccupation.cargo.rateOccupationPercentagenumber (double), nullableNo—
results[].rateOccupation.cargo.rateOccupationGapWithMeannumber (double), nullableNo—
results[].rateOccupation.tankerobject, nullableNo—
results[].rateOccupation.tanker.rateOccupationPercentagenumber (double), nullableNo—
results[].rateOccupation.tanker.rateOccupationGapWithMeannumber (double), nullableNo—
results[].rateOccupation.roroobject, nullableNo—
results[].rateOccupation.roro.rateOccupationPercentagenumber (double), nullableNo—
results[].rateOccupation.roro.rateOccupationGapWithMeannumber (double), nullableNo—
results[].timeobjectYes—
results[].time.timeInPortStatisticsobject, nullableNo—
results[].time.timeInPortStatistics.maxnumber (double), nullableNo—
results[].time.timeInPortStatistics.mediannumber (double), nullableNo—
results[].time.timeInPortStatistics.minnumber (double), nullableNo—
results[].vesselsInPortCountobjectYes—
results[].vesselsInPortCount.commercialVesselsinteger, nullableNo—
results[].vesselsInPortCount.cargointeger, nullableNo—
results[].vesselsInPortCount.tankerinteger, nullableNo—
results[].vesselsInPortCount.rorointeger, nullableNo—

Response headers:

NameTypeDescription
X-Request-IdstringAn unique id to trace request accross system
X-Resource-TypestringThe type of resource returned
X-Requested-CountintegerNumber of ports requested
X-Found-CountintegerNumber of ports for which data was found